R_GET_DISPLAY_NUM_FROM_DISPLAY(3)

FUNCTION
r_get_display_num_from_display - Get display number from a display string.

SYNOPSIS
#include <karma_r.h>

int r_get_display_num_from_display

(CONST char *display)

DESCRIPTION
This routine will get the display number from a display string (following the X Windows system syntax for the DISPLAY environmental variable).

display
    The display string. If this is NULL, the display number defaults to 0.

RETURN VALUE
The display number on success, else -1.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/